"""Naval Fate.

Usage:
  git-cloner clon [(-u <user> | --user=<user>)] [-f] [(-o <out>| --out=<out>)]
                  (-c <org> | --org=<org>) (-l <limit> | --limit=<limit>)
                  [(-s <file> | --save=<file>)] [--ssh]
  git-cloner make-repos [(-u <user> | --user=<user>)] [-f] [(-i <in>| --in=<in>)] [(-s <file> | --save=<file>)] (-t <type> | --type=<type>) --priv-token=<token>
  git-cloner (-h | --help)
  git-cloner --version

Options:
  -l --limit=<limit>    Limit of repositories
  -u --user=<user>      User to connect
  -v --version          Show version.
  -c --org=<org>        Origin to read repositories
  -h --help             Show help
  -f                    Force remove directories
  -o --out=<out>        Output directory
  -i --in=<in>          Input directory
  -s --save=<file>      Save Output resutl into a file
  --ssh                 Use ssh instead https
  -t --type=<type>      Indicate the type of repository gitlab is only supported jet
  --priv-token=<token>  Indicate the path to the private token where the token is


"""
from docopt import docopt

from github_cloner.config import Config
from github_cloner.github_wrapper import clones
from github_cloner.github_wrapper import list_repos


def main():
    arguments = docopt(__doc__, version='Git cloner 1.0')
    run(arguments)


def run(arguments):
    Config.load_config(arguments)
    repos = list_repos(Config.org, Config.limit)
    clones(repos)
