import getpass


class Config(object):
    _KEY_USER = "--user"
    _KEY_PASS = "--pass"
    _KEY_ORG = "--org"
    _KEY_LIMIT = "--limit"
    _KEY_DIR = "--out"
    _KEY_FORCE = "-f"
    _KEY_SAVE = "--save"
    _KEY_SSH = "--ssh"
    # _KEY_OUTPUT =
    user = None
    password = None
    org = None
    limit = None
    dir = "."
    force = False
    save = None
    ssh = False
    limit_per_page = 100

    @classmethod
    def load_config(cls, arguments):
        cls.user = arguments.pop(cls._KEY_USER, None)
        cls.password = arguments.pop(cls._KEY_PASS, None)
        cls.org = arguments.pop(cls._KEY_ORG, None)
        cls.limit = arguments.pop(cls._KEY_LIMIT, None)
        cls.dir = arguments.pop(cls._KEY_DIR, ".")
        cls.force = arguments.pop(cls._KEY_FORCE, False)
        cls.save = arguments.pop(cls._KEY_SAVE, None)
        cls.ssh = arguments.pop(cls._KEY_SSH, False)
        if cls.user is not None and cls.password is None:
            cls.password = getpass.getpass()

        return cls

    @classmethod
    def get_config(cls):
        return cls
